com.pixelmed.test

## Class TestScanRange

- java.lang.Object
- - TestCase
  - - com.pixelmed.test.TestScanRange

-     public class TestScanRange
      extends TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestScanRange(java.lang.String name)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `setUp()`
    `static Test` | `suite()`
    `protected void` | `tearDown()`
    `void` | `testScanRange_Range_IToS()`
    `void` | `testScanRange_Range_SToI_NotPooled()`
    `void` | `testScanRange_Range_SToI()`
    `void` | `testScanRange_Range_ZeroI()`
    `void` | `testScanRange_Range_ZeroS()`
    `void` | `testScanRangeConstructor_Equality()`
    `void` | `testScanRangeConstructor_Inequality()`
    `void` | `testScanRangeConstructor_SignedNegativeConstructor()`
    `void` | `testScanRangeConstructor_SignedPositiveConstructor()`
    `void` | `testScanRangeConstructor_SignedPostiveAndNegativeConstructor()`
    `void` | `testScanRangeConstructor_WithAllParameters()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestScanRange

          public TestScanRange(java.lang.String name)

  - ### Method Detail

    - #### suite

          public static Test suite()

    - #### setUp

          protected void setUp()

    - #### tearDown

          protected void tearDown()

    - #### testScanRangeConstructor_SignedNegativeConstructor

          public void testScanRangeConstructor_SignedNegativeConstructor()

    - #### testScanRangeConstructor_SignedPositiveConstructor

          public void testScanRangeConstructor_SignedPositiveConstructor()

    - #### testScanRangeConstructor_SignedPostiveAndNegativeConstructor

          public void testScanRangeConstructor_SignedPostiveAndNegativeConstructor()

    - #### testScanRangeConstructor_WithAllParameters

          public void testScanRangeConstructor_WithAllParameters()

    - #### testScanRangeConstructor_Equality

          public void testScanRangeConstructor_Equality()

    - #### testScanRangeConstructor_Inequality

          public void testScanRangeConstructor_Inequality()

    - #### testScanRange_Range_ZeroI

          public void testScanRange_Range_ZeroI()

    - #### testScanRange_Range_ZeroS

          public void testScanRange_Range_ZeroS()

    - #### testScanRange_Range_IToS

          public void testScanRange_Range_IToS()

    - #### testScanRange_Range_SToI

          public void testScanRange_Range_SToI()

    - #### testScanRange_Range_SToI_NotPooled

          public void testScanRange_Range_SToI_NotPooled()